#!/usr/bin/env python3
# -*- coding: utf-8 -*-

register_notification_parameters(
    "smseagle",
    Dictionary(optional_keys=None,
               elements=[
                   (
                       "host",
                       ListOfStrings(
                           title=_("Hostname/IP"),
                           help=_("Hostname or IP Address of the SMSEagle"),
                       ),
                   ),
                   (
                       "username",
                       TextAscii(title=_("Username"), help=_("Username for SMSEagle")),
                   ),
                   ("password", Password(title=_("Password"), help=_("Password for SMSEagle"))),
                   ("content_host",
                    TextAreaUnicode(
                        title=_("Content for host notifications"),
                        rows=9,
                        cols=58,
                        monospaced=True,
                        default_value="""Host:     $HOSTNAME$
Alias:    $HOSTALIAS$
Event:    $EVENT_TXT$
Output:   $HOSTOUTPUT$
""",
                    )),
                   ("content_service",
                    TextAreaUnicode(
                        title=_("Content for service notifications"),
                        rows=11,
                        cols=58,
                        monospaced=True,
                        default_value="""Host:     $HOSTNAME$
Alias:    $HOSTALIAS$
Service:  $SERVICEDESC$
Event:    $EVENT_TXT$
Output:   $SERVICEOUTPUT$
""",
                    )),
               ]))
